import sys
import math
import random

curtest = 1

was = set()

def test(n):
    global curtest
    global was
    if n in was:
        return
    f = open("%02d" % curtest, "w")
    print(n, file=f)
    f.close()
    curtest += 1

import random
random.seed("ilatr")

test(100)

# subtask 1: n <= 10**5
test(1)
test(2)
test(7)
test(17)
test(239)

test(566)
test(777)
test(1001)
test(12321)
test(100000)

# subtask 2: n = 10**k, k <= 9

for k in range(1, 10):
    test(10**k)

# subtask 3: n = 10**k, k <= 18

for k in range(11, 19):
    test(10**k)

# subtask 4: n <= 10**9

for i in range(10):
    test(random.randint(1, 10**9))

# subtask 5: n <= 10**18

for i in range(10):
    test(random.randint(1, 10**18))
