#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;

int main(int argc, char** argv) {
    registerTestlibCmd(argc, argv);

    bool jno = false;
    int v = ans.readInt();
    if (v == -1) {
        jno = true;
    }

    vector<int> w = inf.readInts(4);
    sort(w.begin(), w.end());
    
    vector<int> lft;
    vector<int> rgt;
    vector<int> a;

    while (!ouf.seekEoln()) {
        lft.push_back(ouf.readInt());
        a.push_back(lft.back());
        if (lft.size() == 1 && lft.back() == -1) {
            if (jno) {
                quitf(_ok, "no solution");
            }
            quitf(_wa, "solution exists");
        }
    }

    while (!ouf.seekEoln()) {
        rgt.push_back(ouf.readInt());
        a.push_back(rgt.back());
    }

    sort(a.begin(), a.end());
    if (a != w) {
        quitf(_wa, "wrong set of weights");
    }

    int suml = accumulate(lft.begin(), lft.end(), 0);
    int sumr = accumulate(rgt.begin(), rgt.end(), 0);

    if (suml != sumr) {
        quitf(_wa, "not balanced %d vs %d", suml, sumr);
    }

    if (jno) {
        quitf(_fail, "jury thought it was impossible");
    }

    quitf(_ok, "%d", suml);
}
