#include "testlib.h"

using namespace std;

typedef long long ll;

ll MAXN = (ll) 1e18;

int main(int argc, char **argv)
{
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 5 : validator.group()[0] - '0';

    if (g == 1) { MAXN = 1e5; }
    if (g == 2 || g == 4) { MAXN = 1e9; }

    ll n = inf.readLong(1, MAXN, "n");
    inf.readEoln();
    inf.readEof();

    if (g == 2 || g == 3) {
        while (n >= 10) {
            ensuref(n % 10 == 0, "n must be power of 10 in this group");
            n = n / 10;
        }
        ensuref(n == 1, "n must be power of 10 in this group");
    }

    return 0;
}
